/* global reset & box sizing */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Handjet", sans-serif;
}

body {
    background-color: black;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

/* layout principal */
main {
    background-color: white;
    aspect-ratio: 4 / 3;
    height: 100vh;
    max-width: 100%;
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 48px;
    padding: 20px;
}

.container {
    width: 80%;
    height: 40%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.info {
    margin: 0 30px;
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.info-1-container {
    width: fit-content;
    display: flex;
    flex-direction: column;
    row-gap: 16px;
}

.box {
    width: fit-content;
    border: 1px solid black;
    background-color: white;
    z-index: 100;
}

h3 {
    padding: 2px 8px;
    font-weight: 400;
    text-transform: uppercase;
    color: white;
    background-color: black;
}

/* typographies */
.my-name {
    font-size: 70pt;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0 8px;
    line-height: 0.9;
    font-variation-settings: "ELGR" 2, "ELSH" 16;
}

.bio-inside {
    padding: 12px;
}

.true-name {
    font-size: 24pt;
    font-weight: 600;
    text-transform: uppercase;
    font-variation-settings: "ELGR" 1, "ELSH" 9;
}

.little-bio {
    width: 171px;
}

/* navigation & liens */
.links{
    max-width: 200px;
}

.existing-links {
    padding: 16px;
    border-bottom: 1px dashed black;
}

.existing-links li{
    height: 100%;
    display: flex;
    flex-direction: column;
}

.future-links {
    padding: 16px;
    display: flex;
    flex-direction: column;
    row-gap: 6px;
}

.future-links li{
    padding: 0 8px;
    font-style: italic;
    text-transform: uppercase;
    color: rgb(136, 136, 136);
    border: 1px double rgb(136, 136, 136);
}

ul{
    list-style: none;
}

.future-links ul {
    display: flex;
    column-gap: 4px;
    row-gap: 4px;
    flex-wrap: wrap;
}

.existing-links a {
    color: black;
    text-decoration: none;
    text-transform: uppercase;
    transform-origin: center left;
    padding: 2px 0;
    transition-property: transform, font-weight, background-color, color;
    transition-duration: 0.2s;
    transition-delay: 0s;
}

.existing-links a:hover {
    transform: scale(1.5);
    font-weight: 600;
}

/* médias */
img.artifact {
    image-rendering: pixelated;
    height: 100%;
    max-height: 400px; 
}

img.avatar{
    image-rendering: pixelated;
    width: 500px;
    position: absolute;
    top: 50%;
    left: 52%;
    transform: translate(-50%, -50%);
    z-index: 0;
}

/*effets*/

/*.blur {
  box-shadow:
    0 0 0 1px #FFFFFF,
    0 0 0 4px #000000,
    0 0 0 5px #C3DAFE,
    0 0 0 6px #ffffff;
}